package com.logicbig.example;

import javax.swing.*;
import javax.swing.tree.TreeNode;
import java.awt.*;
import java.util.Hashtable;

public class TreeExampleMain {
    public static void main(String[] args) {
        TreeNode projectHierarchyTreeNode =
                TradingProjectDataService.instance.getProjectHierarchy();
        JTree tree = new JTree(projectHierarchyTreeNode);
        tree.setCellRenderer(new TradingProjectTreeRenderer());
        JFrame frame = createFrame();
        frame.add(new JScrollPane(tree));
        frame.setLocationRelativeTo(null);
        frame.setVisible(true);
    }

    private static JFrame createFrame() {
        JFrame frame = new JFrame("JTree Renderer example");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setSize(new Dimension(500, 400));
        return frame;
    }
}